
### [rathena-docker](https://github.com/cdelorme/rathena-docker)

I am an avid gamer, and one of the games I enjoyed was ragnarok online.

The [rathena project](https://rathena.org/) is an effort to provide an open-source implementation of the ragnarok online service, based on reverse engineering efforts with Aegis, the official server.

I enjoy that it runs on linux, _but sadly there is no open-source renewal client solution yet so we can't enjoy ragnarok on linux without [WINE](https://www.winehq.org/)._

While experimenting with [docker](https://www.docker.com/) for work, I decided to try writing a Dockerfile that would generate a docker image that could run an entire rathena server.

Originally I had planned to use docker to create a distributed networked example, _but because docker immutable state complicates runtime configuration I gave up._

**In the future I may pursue [docker-compose](https://docs.docker.com/compose/) to orchestrate a distributed configuration to demonstrate multiple components of the rathena server in action.**

**_written on 2017-04-13_**
